Bug 851103 - Existing POJO model w/ nested classes (A$B$C) causing error during build package
Existing POJO model w/ nested classes (A$B$C) causing error during build package
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: manstis
Jiri Locker
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 05:09 EDT by manstis
Modified: 2013-10-10 20:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Some fully qualified inner class names were being incorrectly parsed and the import statements that were automatically generated for nest classes were incorrect. This caused the completion of knowledge packages with the incorrect import statements to fail, and users had to manually alter the generated import statements. This has been resolved by ensuring the fully qualified inner class names are correctly parsed. The import statements generated for inner classes are now correct, and knowledge packages including import statements for inner classes now compile without the need for manually altering of the import statement.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 10:49:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1911 Major Resolved Existing POJO model w/ nested classes (A$B$C) causing error during build package. 2012-11-21 01:33:07 EST

  None (edit)
Description manstis 2012-08-23 05:09:45 EDT
Description of problem:

See linked JIRA.

Version-Release number of selected component (if applicable):

See linked JIRA.

How reproducible:

See linked JIRA.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Nested classes cause a RTE.

Expected results:

Nested classes can be used in a POJO model.

Additional info:
Comment 2 Jiri Locker 2012-09-25 10:49:18 EDT
This is not a bug. Existing POJO models with nested classes can be used to build the package. The only step needed is fixing the import section of the package by removing old nested class import statements and adding them again (that will replace '$' separators by dots '.').
Comment 3 manstis 2012-09-25 10:57:56 EDT
The "fixing" is not automatic, so when importing a model with nested classes the $ is automatically replaced with ".". Likewise when adding an import the $ is replaced with ".". Before the fix for this JIRA you would have to manually view the "Advanced" imports\global view and manually change the $ to ".".
Comment 4 manstis 2012-09-25 10:58:42 EDT
LOL, typo in comment#3. It should read "The 'fixing' is *NOW* automatic..."
Comment 5 Jiri Locker 2012-09-25 11:14:58 EDT
OK, then it's verified. Thanks.

Note You need to log in before you can comment on or make changes to this bug.